form.form fieldset {
  position: relative; }
  form.form fieldset .datepicker-mat {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #ffffff99; }

form.form .form__field {
  position: relative; }
  form.form .form__field .date {
    position: relative; }
    form.form .form__field .date .input-wrapper {
      position: relative;
      display: inline-block; }
      form.form .form__field .date .input-wrapper .clear {
        position: absolute;
        top: 50%;
        right: 10px;
        transform: translateY(-50%);
        border-radius: 20px;
        width: 18px;
        height: 18px;
        border: none;
        background: #aaa;
        cursor: pointer;
        transition-duration: .3s; }
        form.form .form__field .date .input-wrapper .clear:hover {
          background: #444; }
        form.form .form__field .date .input-wrapper .clear::before, form.form .form__field .date .input-wrapper .clear::after {
          position: absolute;
          top: calc(50% - 1px);
          left: calc(50% - 5px);
          display: block;
          content: '';
          width: 10px;
          height: 2px;
          background-color: white;
          transform: rotate(45deg); }
        form.form .form__field .date .input-wrapper .clear::after {
          transform: rotate(-45deg); }

form.form .datepicker {
  position: absolute;
  top: 35px;
  left: 0;
  z-index: 10;
  background: white;
  border: 1px solid #eee;
  box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.1);
  padding: 10px;
  border-radius: 4px; }
  form.form .datepicker .calendar-header {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px 0 10px;
    font-size: 15px;
    width: 100%;
    height: auto; }
    form.form .datepicker .calendar-header .title {
      display: flex;
      gap: 5px; }
    form.form .datepicker .calendar-header .ui {
      display: flex;
      gap: 10px; }
      form.form .datepicker .calendar-header .ui span {
        display: block;
        font-size: 13px;
        padding: 4px 4px;
        border-radius: 3px;
        line-height: 1.1;
        color: #333;
        cursor: pointer;
        background-color: #eee;
        transition-duration: .2s; }
        form.form .datepicker .calendar-header .ui span i {
          display: block;
          border: 6px solid #888;
          border-top-color: transparent;
          border-bottom-color: transparent;
          width: 0;
          height: 0; }
        form.form .datepicker .calendar-header .ui span.prev i {
          border-left-color: transparent;
          transform: scaleY(0.8) translateX(-3px); }
        form.form .datepicker .calendar-header .ui span.next i {
          border-right-color: transparent;
          transform: scaleY(0.8) translateX(3px); }
        form.form .datepicker .calendar-header .ui span:hover {
          background-color: #0894d4; }
          form.form .datepicker .calendar-header .ui span:hover.prev i {
            border-right-color: white; }
          form.form .datepicker .calendar-header .ui span:hover.next i {
            border-left-color: white; }
  form.form .datepicker .dates {
    display: flex;
    flex-wrap: wrap;
    width: 224px; }
    form.form .datepicker .dates > span {
      display: block;
      width: 32px;
      height: 32px;
      line-height: 32px;
      text-align: center;
      cursor: pointer;
      font-size: 14px;
      transition-property: background-color;
      transition-duration: .2s; }
      form.form .datepicker .dates > span.disabled {
        color: #666;
        background-color: #f4f4f4;
        pointer-events: none; }
      form.form .datepicker .dates > span:hover {
        background-color: #0894d4;
        color: white !important;
        font-weight: 700; }
      form.form .datepicker .dates > span.active {
        background-color: #f5f562; }
        form.form .datepicker .dates > span.active:hover {
          background-color: #ffff0b;
          color: #444 !important; }
      form.form .datepicker .dates > span.week-0 {
        color: #d80808;
        font-weight: 600; }
      form.form .datepicker .dates > span.week-6 {
        color: #0e77ce;
        font-weight: 600; }
      form.form .datepicker .dates > span.holiday {
        color: #d80808;
        font-weight: 600; }
      form.form .datepicker .dates > span:first-child.week-1 {
        margin-left: 32px; }
      form.form .datepicker .dates > span:first-child.week-2 {
        margin-left: 64px; }
      form.form .datepicker .dates > span:first-child.week-3 {
        margin-left: 96px; }
      form.form .datepicker .dates > span:first-child.week-4 {
        margin-left: 128px; }
      form.form .datepicker .dates > span:first-child.week-5 {
        margin-left: 160px; }
      form.form .datepicker .dates > span:first-child.week-6 {
        margin-left: 192px; }
      form.form .datepicker .dates > span:first-child.week-7 {
        margin-left: 224px; }
